Bug 963754 - The 'inventory' report in spacewalk-reports displays applicable errata plus 1.
The 'inventory' report in spacewalk-reports displays applicable errata plus 1.
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.9
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomáš Kašpárek
Red Hat Satellite QA List
:
Depends On:
Blocks: space20
  Show dependency treegraph
 
Reported: 2013-05-16 09:40 EDT by pierce.ward
Modified: 2013-08-05 02:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 02:36:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pierce.ward 2013-05-16 09:40:12 EDT
Description of problem:
The 'inventory' report in the package 'spacewalk-reports' always returns a value of 1 or more 'errata_out_of_date' for every server. E.g. if a server has 5 outstanding errata, this report will show it having 6. If a server has 0 outstanding errata, this report will show it having 1. 

Version-Release number of selected component (if applicable):
spacewalk-reports-1.9.6-1.el5 (and possibly earlier).

How reproducible:
100% of the time. 

Steps to Reproduce:
1. Install spacewalk-reports. Make sure you have servers with and without outstanding errata. 
2. Run this command: /usr/bin/spacewalk-report inventory | awk -F',' '{print $3","$4","$11}'
3. The output of the above command will have '1' more 'errata_out_of_date' than what is displayed in the spacewalk web ui. 
  
Actual results:
The number of errata for every server has '1' added to the correct number. 

Expected results:
The number of errata for every server matches the count in the spacewalk web ui.

Additional info:
Comment 1 Tomáš Kašpárek 2013-06-11 07:30:26 EDT
fixed in spacewalk.git: 794500f707bddf9c29675ca4ad54cf91bed1c367
Comment 3 Tomáš Kašpárek 2013-08-05 02:36:58 EDT
Fix for this issue is fixed in Spacewalk 2.0 therefore closing this as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.